"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var Scope = function Scope(data, parent, name, type) {
  if (parent === void 0) {
    parent = null;
  }

  if (type === void 0) {
    type = 'function';
  }

  this.name = name;
  this.parent = parent;
  this.data = data;
  this.labelStack = [];
  this.type = type;
  this.lexDeclared = Object.create(null);
};

exports.default = Scope;

function createScope(parent, name, type) {
  if (parent === void 0) {
    parent = null;
  }

  if (type === void 0) {
    type = 'function';
  }

  return new Scope(Object.create(null), parent, name, type);
}

exports.createScope = createScope;