"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Symbols_1 = require("../../Symbols");
// class Test {...}
function classDeclarationHandler(node) {
    let className;
    let classClosure;
    // class的作用域是块级作用域
    if (node.id) {
        classClosure = this.classExpressionHandler(node);
        let stackTop = this.collectDeclLex[this.collectDeclLex.length - 1];
        stackTop && (stackTop[node.id.name] = {
            init: false,
            kind: 'let'
        });
        className = node.id.name;
    }
    return () => {
        if (className) {
            let scope = this.getCurrentScope();
            scope.lexDeclared[className].init = true;
            scope.data[className] = classClosure();
        }
        return Symbols_1.EmptyStatementReturn;
    };
}
exports.classDeclarationHandler = classDeclarationHandler;
