"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// var1 ...
function identifierHandler(node) {
    return () => {
        const currentScope = this.getCurrentScope();
        const data = this.getScopeDataFromName(node.name, currentScope);
        this.assertVariable(data, node.name, node);
        return data[node.name];
    };
}
exports.identifierHandler = identifierHandler;
