"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// var1,var2,...
function sequenceExpressionHandler(node) {
    const expressions = node.expressions.map(item => this.createClosure(item));
    return () => {
        let result;
        const len = expressions.length;
        for (let i = 0; i < len; i++) {
            const expression = expressions[i];
            result = expression();
        }
        return result;
    };
}
exports.sequenceExpressionHandler = sequenceExpressionHandler;
